# OpenLayers.Format.WMSGetFeatureInfo

Class to read GetFeatureInfo responses from Web Mapping Services

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.WMSGetFeatureInfo | Class to read GetFeatureInfo responses from Web Mapping Services
Properties |
layerIdentifier | {String} All xml nodes containing this search criteria will populate an internal array of layer nodes.
featureIdentifier | {String} All xml nodes containing this search criteria will populate an internal array of feature nodes for each layer node found.
Constructor |
OpenLayers.Format.WMSGetFeatureInfo | Create a new parser for WMS GetFeatureInfo responses
Functions |
read | Read WMS GetFeatureInfo data from a string, and return an array of features

### Properties

### layerIdentifier

{String} All xml nodes containing this search criteria will populate an internal array of layer nodes.

### featureIdentifier

{String} All xml nodes containing this search criteria will populate an internal array of feature nodes for each layer node found.

### Constructor

### OpenLayers.Format.WMSGetFeatureInfo

Create a new parser for WMS GetFeatureInfo responses

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | data | )

Read WMS GetFeatureInfo data from a string, and return an array of features

#### Parameters

data | {String} or {DOMElement} data to read/parse.

#### Returns

{Array(OpenLayers.Feature.Vector)} An array of features.

> read: function( | data | )

Read WMS GetFeatureInfo data from a string, and return an array of features
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close